IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network232.0.0.0/5
Usable hosts134,217,726
Subnet mask248.0.0.0
Addresses134,217,728
- Network address
232.0.0.0- Broadcast address
239.255.255.255- First usable
232.0.0.1- Last usable
239.255.255.254- Usable hosts
- 134,217,726 (134,217,728 less the network and broadcast addresses)
- Subnet mask
248.0.0.0- Wildcard mask
7.255.255.255(Cisco ACLs, OSPF)- Prefix length
- /5
- Type
- Multicast 224.0.0.0/4
One-to-many traffic, such as IPTV and routing protocols - Old class
- D (multicast)
- As numbers
- Hex
E8000000· Integer3892314112to4026531839 - Reverse DNS zones
232.in-addr.arpa233.in-addr.arpa234.in-addr.arpa235.in-addr.arpa236.in-addr.arpa237.in-addr.arpa238.in-addr.arpa239.in-addr.arpa
/5 is not on a 8-bit boundary, so it takes 8 /8 zones.
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 11101000.00000000.00000000.00000000 | 232.0.0.0 |
| Subnet mask | 11111000.00000000.00000000.00000000 | 248.0.0.0 |
| Network | 11101000.00000000.00000000.00000000 | 232.0.0.0 |
| Broadcast | 11101111.11111111.11111111.11111111 | 239.255.255.255 |
Split into smaller subnets
/6 (2)/7 (4)/8 (8)/9 (16)/10 (32)/11 (64)/12 (128)/13 (256)/14 (512)/15 (1,024)/16 (2,048)/17 (4,096)
232.0.0.0/5 makes 256 subnets of /13.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 232.0.0.0/13 | 232.0.0.1 to 232.7.255.254 | 232.7.255.255 | 524,286 |
| 2 | 232.8.0.0/13 | 232.8.0.1 to 232.15.255.254 | 232.15.255.255 | 524,286 |
| 3 | 232.16.0.0/13 | 232.16.0.1 to 232.23.255.254 | 232.23.255.255 | 524,286 |
| 4 | 232.24.0.0/13 | 232.24.0.1 to 232.31.255.254 | 232.31.255.255 | 524,286 |
| 5 | 232.32.0.0/13 | 232.32.0.1 to 232.39.255.254 | 232.39.255.255 | 524,286 |
| 6 | 232.40.0.0/13 | 232.40.0.1 to 232.47.255.254 | 232.47.255.255 | 524,286 |
| 7 | 232.48.0.0/13 | 232.48.0.1 to 232.55.255.254 | 232.55.255.255 | 524,286 |
| 8 | 232.56.0.0/13 | 232.56.0.1 to 232.63.255.254 | 232.63.255.255 | 524,286 |
| 9 | 232.64.0.0/13 | 232.64.0.1 to 232.71.255.254 | 232.71.255.255 | 524,286 |
| 10 | 232.72.0.0/13 | 232.72.0.1 to 232.79.255.254 | 232.79.255.255 | 524,286 |
| 11 | 232.80.0.0/13 | 232.80.0.1 to 232.87.255.254 | 232.87.255.255 | 524,286 |
| 12 | 232.88.0.0/13 | 232.88.0.1 to 232.95.255.254 | 232.95.255.255 | 524,286 |
| 13 | 232.96.0.0/13 | 232.96.0.1 to 232.103.255.254 | 232.103.255.255 | 524,286 |
| 14 | 232.104.0.0/13 | 232.104.0.1 to 232.111.255.254 | 232.111.255.255 | 524,286 |
| 15 | 232.112.0.0/13 | 232.112.0.1 to 232.119.255.254 | 232.119.255.255 | 524,286 |
| 16 | 232.120.0.0/13 | 232.120.0.1 to 232.127.255.254 | 232.127.255.255 | 524,286 |
| 17 | 232.128.0.0/13 | 232.128.0.1 to 232.135.255.254 | 232.135.255.255 | 524,286 |
| 18 | 232.136.0.0/13 | 232.136.0.1 to 232.143.255.254 | 232.143.255.255 | 524,286 |
| 19 | 232.144.0.0/13 | 232.144.0.1 to 232.151.255.254 | 232.151.255.255 | 524,286 |
| 20 | 232.152.0.0/13 | 232.152.0.1 to 232.159.255.254 | 232.159.255.255 | 524,286 |
| 21 | 232.160.0.0/13 | 232.160.0.1 to 232.167.255.254 | 232.167.255.255 | 524,286 |
| 22 | 232.168.0.0/13 | 232.168.0.1 to 232.175.255.254 | 232.175.255.255 | 524,286 |
| 23 | 232.176.0.0/13 | 232.176.0.1 to 232.183.255.254 | 232.183.255.255 | 524,286 |
| 24 | 232.184.0.0/13 | 232.184.0.1 to 232.191.255.254 | 232.191.255.255 | 524,286 |
| 25 | 232.192.0.0/13 | 232.192.0.1 to 232.199.255.254 | 232.199.255.255 | 524,286 |
| 26 | 232.200.0.0/13 | 232.200.0.1 to 232.207.255.254 | 232.207.255.255 | 524,286 |
| 27 | 232.208.0.0/13 | 232.208.0.1 to 232.215.255.254 | 232.215.255.255 | 524,286 |
| 28 | 232.216.0.0/13 | 232.216.0.1 to 232.223.255.254 | 232.223.255.255 | 524,286 |
| 29 | 232.224.0.0/13 | 232.224.0.1 to 232.231.255.254 | 232.231.255.255 | 524,286 |
| 30 | 232.232.0.0/13 | 232.232.0.1 to 232.239.255.254 | 232.239.255.255 | 524,286 |
| 31 | 232.240.0.0/13 | 232.240.0.1 to 232.247.255.254 | 232.247.255.255 | 524,286 |
| 32 | 232.248.0.0/13 | 232.248.0.1 to 232.255.255.254 | 232.255.255.255 | 524,286 |
| 33 | 233.0.0.0/13 | 233.0.0.1 to 233.7.255.254 | 233.7.255.255 | 524,286 |
| 34 | 233.8.0.0/13 | 233.8.0.1 to 233.15.255.254 | 233.15.255.255 | 524,286 |
| 35 | 233.16.0.0/13 | 233.16.0.1 to 233.23.255.254 | 233.23.255.255 | 524,286 |
| 36 | 233.24.0.0/13 | 233.24.0.1 to 233.31.255.254 | 233.31.255.255 | 524,286 |
| 37 | 233.32.0.0/13 | 233.32.0.1 to 233.39.255.254 | 233.39.255.255 | 524,286 |
| 38 | 233.40.0.0/13 | 233.40.0.1 to 233.47.255.254 | 233.47.255.255 | 524,286 |
| 39 | 233.48.0.0/13 | 233.48.0.1 to 233.55.255.254 | 233.55.255.255 | 524,286 |
| 40 | 233.56.0.0/13 | 233.56.0.1 to 233.63.255.254 | 233.63.255.255 | 524,286 |
| 41 | 233.64.0.0/13 | 233.64.0.1 to 233.71.255.254 | 233.71.255.255 | 524,286 |
| 42 | 233.72.0.0/13 | 233.72.0.1 to 233.79.255.254 | 233.79.255.255 | 524,286 |
| 43 | 233.80.0.0/13 | 233.80.0.1 to 233.87.255.254 | 233.87.255.255 | 524,286 |
| 44 | 233.88.0.0/13 | 233.88.0.1 to 233.95.255.254 | 233.95.255.255 | 524,286 |
| 45 | 233.96.0.0/13 | 233.96.0.1 to 233.103.255.254 | 233.103.255.255 | 524,286 |
| 46 | 233.104.0.0/13 | 233.104.0.1 to 233.111.255.254 | 233.111.255.255 | 524,286 |
| 47 | 233.112.0.0/13 | 233.112.0.1 to 233.119.255.254 | 233.119.255.255 | 524,286 |
| 48 | 233.120.0.0/13 | 233.120.0.1 to 233.127.255.254 | 233.127.255.255 | 524,286 |
| 49 | 233.128.0.0/13 | 233.128.0.1 to 233.135.255.254 | 233.135.255.255 | 524,286 |
| 50 | 233.136.0.0/13 | 233.136.0.1 to 233.143.255.254 | 233.143.255.255 | 524,286 |
| 51 | 233.144.0.0/13 | 233.144.0.1 to 233.151.255.254 | 233.151.255.255 | 524,286 |
| 52 | 233.152.0.0/13 | 233.152.0.1 to 233.159.255.254 | 233.159.255.255 | 524,286 |
| 53 | 233.160.0.0/13 | 233.160.0.1 to 233.167.255.254 | 233.167.255.255 | 524,286 |
| 54 | 233.168.0.0/13 | 233.168.0.1 to 233.175.255.254 | 233.175.255.255 | 524,286 |
| 55 | 233.176.0.0/13 | 233.176.0.1 to 233.183.255.254 | 233.183.255.255 | 524,286 |
| 56 | 233.184.0.0/13 | 233.184.0.1 to 233.191.255.254 | 233.191.255.255 | 524,286 |
| 57 | 233.192.0.0/13 | 233.192.0.1 to 233.199.255.254 | 233.199.255.255 | 524,286 |
| 58 | 233.200.0.0/13 | 233.200.0.1 to 233.207.255.254 | 233.207.255.255 | 524,286 |
| 59 | 233.208.0.0/13 | 233.208.0.1 to 233.215.255.254 | 233.215.255.255 | 524,286 |
| 60 | 233.216.0.0/13 | 233.216.0.1 to 233.223.255.254 | 233.223.255.255 | 524,286 |
| 61 | 233.224.0.0/13 | 233.224.0.1 to 233.231.255.254 | 233.231.255.255 | 524,286 |
| 62 | 233.232.0.0/13 | 233.232.0.1 to 233.239.255.254 | 233.239.255.255 | 524,286 |
| 63 | 233.240.0.0/13 | 233.240.0.1 to 233.247.255.254 | 233.247.255.255 | 524,286 |
| 64 | 233.248.0.0/13 | 233.248.0.1 to 233.255.255.254 | 233.255.255.255 | 524,286 |
| 65 | 234.0.0.0/13 | 234.0.0.1 to 234.7.255.254 | 234.7.255.255 | 524,286 |
| 66 | 234.8.0.0/13 | 234.8.0.1 to 234.15.255.254 | 234.15.255.255 | 524,286 |
| 67 | 234.16.0.0/13 | 234.16.0.1 to 234.23.255.254 | 234.23.255.255 | 524,286 |
| 68 | 234.24.0.0/13 | 234.24.0.1 to 234.31.255.254 | 234.31.255.255 | 524,286 |
| 69 | 234.32.0.0/13 | 234.32.0.1 to 234.39.255.254 | 234.39.255.255 | 524,286 |
| 70 | 234.40.0.0/13 | 234.40.0.1 to 234.47.255.254 | 234.47.255.255 | 524,286 |
| 71 | 234.48.0.0/13 | 234.48.0.1 to 234.55.255.254 | 234.55.255.255 | 524,286 |
| 72 | 234.56.0.0/13 | 234.56.0.1 to 234.63.255.254 | 234.63.255.255 | 524,286 |
| 73 | 234.64.0.0/13 | 234.64.0.1 to 234.71.255.254 | 234.71.255.255 | 524,286 |
| 74 | 234.72.0.0/13 | 234.72.0.1 to 234.79.255.254 | 234.79.255.255 | 524,286 |
| 75 | 234.80.0.0/13 | 234.80.0.1 to 234.87.255.254 | 234.87.255.255 | 524,286 |
| 76 | 234.88.0.0/13 | 234.88.0.1 to 234.95.255.254 | 234.95.255.255 | 524,286 |
| 77 | 234.96.0.0/13 | 234.96.0.1 to 234.103.255.254 | 234.103.255.255 | 524,286 |
| 78 | 234.104.0.0/13 | 234.104.0.1 to 234.111.255.254 | 234.111.255.255 | 524,286 |
| 79 | 234.112.0.0/13 | 234.112.0.1 to 234.119.255.254 | 234.119.255.255 | 524,286 |
| 80 | 234.120.0.0/13 | 234.120.0.1 to 234.127.255.254 | 234.127.255.255 | 524,286 |
| 81 | 234.128.0.0/13 | 234.128.0.1 to 234.135.255.254 | 234.135.255.255 | 524,286 |
| 82 | 234.136.0.0/13 | 234.136.0.1 to 234.143.255.254 | 234.143.255.255 | 524,286 |
| 83 | 234.144.0.0/13 | 234.144.0.1 to 234.151.255.254 | 234.151.255.255 | 524,286 |
| 84 | 234.152.0.0/13 | 234.152.0.1 to 234.159.255.254 | 234.159.255.255 | 524,286 |
| 85 | 234.160.0.0/13 | 234.160.0.1 to 234.167.255.254 | 234.167.255.255 | 524,286 |
| 86 | 234.168.0.0/13 | 234.168.0.1 to 234.175.255.254 | 234.175.255.255 | 524,286 |
| 87 | 234.176.0.0/13 | 234.176.0.1 to 234.183.255.254 | 234.183.255.255 | 524,286 |
| 88 | 234.184.0.0/13 | 234.184.0.1 to 234.191.255.254 | 234.191.255.255 | 524,286 |
| 89 | 234.192.0.0/13 | 234.192.0.1 to 234.199.255.254 | 234.199.255.255 | 524,286 |
| 90 | 234.200.0.0/13 | 234.200.0.1 to 234.207.255.254 | 234.207.255.255 | 524,286 |
| 91 | 234.208.0.0/13 | 234.208.0.1 to 234.215.255.254 | 234.215.255.255 | 524,286 |
| 92 | 234.216.0.0/13 | 234.216.0.1 to 234.223.255.254 | 234.223.255.255 | 524,286 |
| 93 | 234.224.0.0/13 | 234.224.0.1 to 234.231.255.254 | 234.231.255.255 | 524,286 |
| 94 | 234.232.0.0/13 | 234.232.0.1 to 234.239.255.254 | 234.239.255.255 | 524,286 |
| 95 | 234.240.0.0/13 | 234.240.0.1 to 234.247.255.254 | 234.247.255.255 | 524,286 |
| 96 | 234.248.0.0/13 | 234.248.0.1 to 234.255.255.254 | 234.255.255.255 | 524,286 |
| 97 | 235.0.0.0/13 | 235.0.0.1 to 235.7.255.254 | 235.7.255.255 | 524,286 |
| 98 | 235.8.0.0/13 | 235.8.0.1 to 235.15.255.254 | 235.15.255.255 | 524,286 |
| 99 | 235.16.0.0/13 | 235.16.0.1 to 235.23.255.254 | 235.23.255.255 | 524,286 |
| 100 | 235.24.0.0/13 | 235.24.0.1 to 235.31.255.254 | 235.31.255.255 | 524,286 |
| 101 | 235.32.0.0/13 | 235.32.0.1 to 235.39.255.254 | 235.39.255.255 | 524,286 |
| 102 | 235.40.0.0/13 | 235.40.0.1 to 235.47.255.254 | 235.47.255.255 | 524,286 |
| 103 | 235.48.0.0/13 | 235.48.0.1 to 235.55.255.254 | 235.55.255.255 | 524,286 |
| 104 | 235.56.0.0/13 | 235.56.0.1 to 235.63.255.254 | 235.63.255.255 | 524,286 |
| 105 | 235.64.0.0/13 | 235.64.0.1 to 235.71.255.254 | 235.71.255.255 | 524,286 |
| 106 | 235.72.0.0/13 | 235.72.0.1 to 235.79.255.254 | 235.79.255.255 | 524,286 |
| 107 | 235.80.0.0/13 | 235.80.0.1 to 235.87.255.254 | 235.87.255.255 | 524,286 |
| 108 | 235.88.0.0/13 | 235.88.0.1 to 235.95.255.254 | 235.95.255.255 | 524,286 |
| 109 | 235.96.0.0/13 | 235.96.0.1 to 235.103.255.254 | 235.103.255.255 | 524,286 |
| 110 | 235.104.0.0/13 | 235.104.0.1 to 235.111.255.254 | 235.111.255.255 | 524,286 |
| 111 | 235.112.0.0/13 | 235.112.0.1 to 235.119.255.254 | 235.119.255.255 | 524,286 |
| 112 | 235.120.0.0/13 | 235.120.0.1 to 235.127.255.254 | 235.127.255.255 | 524,286 |
| 113 | 235.128.0.0/13 | 235.128.0.1 to 235.135.255.254 | 235.135.255.255 | 524,286 |
| 114 | 235.136.0.0/13 | 235.136.0.1 to 235.143.255.254 | 235.143.255.255 | 524,286 |
| 115 | 235.144.0.0/13 | 235.144.0.1 to 235.151.255.254 | 235.151.255.255 | 524,286 |
| 116 | 235.152.0.0/13 | 235.152.0.1 to 235.159.255.254 | 235.159.255.255 | 524,286 |
| 117 | 235.160.0.0/13 | 235.160.0.1 to 235.167.255.254 | 235.167.255.255 | 524,286 |
| 118 | 235.168.0.0/13 | 235.168.0.1 to 235.175.255.254 | 235.175.255.255 | 524,286 |
| 119 | 235.176.0.0/13 | 235.176.0.1 to 235.183.255.254 | 235.183.255.255 | 524,286 |
| 120 | 235.184.0.0/13 | 235.184.0.1 to 235.191.255.254 | 235.191.255.255 | 524,286 |
| 121 | 235.192.0.0/13 | 235.192.0.1 to 235.199.255.254 | 235.199.255.255 | 524,286 |
| 122 | 235.200.0.0/13 | 235.200.0.1 to 235.207.255.254 | 235.207.255.255 | 524,286 |
| 123 | 235.208.0.0/13 | 235.208.0.1 to 235.215.255.254 | 235.215.255.255 | 524,286 |
| 124 | 235.216.0.0/13 | 235.216.0.1 to 235.223.255.254 | 235.223.255.255 | 524,286 |
| 125 | 235.224.0.0/13 | 235.224.0.1 to 235.231.255.254 | 235.231.255.255 | 524,286 |
| 126 | 235.232.0.0/13 | 235.232.0.1 to 235.239.255.254 | 235.239.255.255 | 524,286 |
| 127 | 235.240.0.0/13 | 235.240.0.1 to 235.247.255.254 | 235.247.255.255 | 524,286 |
| 128 | 235.248.0.0/13 | 235.248.0.1 to 235.255.255.254 | 235.255.255.255 | 524,286 |
| 129 | 236.0.0.0/13 | 236.0.0.1 to 236.7.255.254 | 236.7.255.255 | 524,286 |
| 130 | 236.8.0.0/13 | 236.8.0.1 to 236.15.255.254 | 236.15.255.255 | 524,286 |
| 131 | 236.16.0.0/13 | 236.16.0.1 to 236.23.255.254 | 236.23.255.255 | 524,286 |
| 132 | 236.24.0.0/13 | 236.24.0.1 to 236.31.255.254 | 236.31.255.255 | 524,286 |
| 133 | 236.32.0.0/13 | 236.32.0.1 to 236.39.255.254 | 236.39.255.255 | 524,286 |
| 134 | 236.40.0.0/13 | 236.40.0.1 to 236.47.255.254 | 236.47.255.255 | 524,286 |
| 135 | 236.48.0.0/13 | 236.48.0.1 to 236.55.255.254 | 236.55.255.255 | 524,286 |
| 136 | 236.56.0.0/13 | 236.56.0.1 to 236.63.255.254 | 236.63.255.255 | 524,286 |
| 137 | 236.64.0.0/13 | 236.64.0.1 to 236.71.255.254 | 236.71.255.255 | 524,286 |
| 138 | 236.72.0.0/13 | 236.72.0.1 to 236.79.255.254 | 236.79.255.255 | 524,286 |
| 139 | 236.80.0.0/13 | 236.80.0.1 to 236.87.255.254 | 236.87.255.255 | 524,286 |
| 140 | 236.88.0.0/13 | 236.88.0.1 to 236.95.255.254 | 236.95.255.255 | 524,286 |
| 141 | 236.96.0.0/13 | 236.96.0.1 to 236.103.255.254 | 236.103.255.255 | 524,286 |
| 142 | 236.104.0.0/13 | 236.104.0.1 to 236.111.255.254 | 236.111.255.255 | 524,286 |
| 143 | 236.112.0.0/13 | 236.112.0.1 to 236.119.255.254 | 236.119.255.255 | 524,286 |
| 144 | 236.120.0.0/13 | 236.120.0.1 to 236.127.255.254 | 236.127.255.255 | 524,286 |
| 145 | 236.128.0.0/13 | 236.128.0.1 to 236.135.255.254 | 236.135.255.255 | 524,286 |
| 146 | 236.136.0.0/13 | 236.136.0.1 to 236.143.255.254 | 236.143.255.255 | 524,286 |
| 147 | 236.144.0.0/13 | 236.144.0.1 to 236.151.255.254 | 236.151.255.255 | 524,286 |
| 148 | 236.152.0.0/13 | 236.152.0.1 to 236.159.255.254 | 236.159.255.255 | 524,286 |
| 149 | 236.160.0.0/13 | 236.160.0.1 to 236.167.255.254 | 236.167.255.255 | 524,286 |
| 150 | 236.168.0.0/13 | 236.168.0.1 to 236.175.255.254 | 236.175.255.255 | 524,286 |
| 151 | 236.176.0.0/13 | 236.176.0.1 to 236.183.255.254 | 236.183.255.255 | 524,286 |
| 152 | 236.184.0.0/13 | 236.184.0.1 to 236.191.255.254 | 236.191.255.255 | 524,286 |
| 153 | 236.192.0.0/13 | 236.192.0.1 to 236.199.255.254 | 236.199.255.255 | 524,286 |
| 154 | 236.200.0.0/13 | 236.200.0.1 to 236.207.255.254 | 236.207.255.255 | 524,286 |
| 155 | 236.208.0.0/13 | 236.208.0.1 to 236.215.255.254 | 236.215.255.255 | 524,286 |
| 156 | 236.216.0.0/13 | 236.216.0.1 to 236.223.255.254 | 236.223.255.255 | 524,286 |
| 157 | 236.224.0.0/13 | 236.224.0.1 to 236.231.255.254 | 236.231.255.255 | 524,286 |
| 158 | 236.232.0.0/13 | 236.232.0.1 to 236.239.255.254 | 236.239.255.255 | 524,286 |
| 159 | 236.240.0.0/13 | 236.240.0.1 to 236.247.255.254 | 236.247.255.255 | 524,286 |
| 160 | 236.248.0.0/13 | 236.248.0.1 to 236.255.255.254 | 236.255.255.255 | 524,286 |
| 161 | 237.0.0.0/13 | 237.0.0.1 to 237.7.255.254 | 237.7.255.255 | 524,286 |
| 162 | 237.8.0.0/13 | 237.8.0.1 to 237.15.255.254 | 237.15.255.255 | 524,286 |
| 163 | 237.16.0.0/13 | 237.16.0.1 to 237.23.255.254 | 237.23.255.255 | 524,286 |
| 164 | 237.24.0.0/13 | 237.24.0.1 to 237.31.255.254 | 237.31.255.255 | 524,286 |
| 165 | 237.32.0.0/13 | 237.32.0.1 to 237.39.255.254 | 237.39.255.255 | 524,286 |
| 166 | 237.40.0.0/13 | 237.40.0.1 to 237.47.255.254 | 237.47.255.255 | 524,286 |
| 167 | 237.48.0.0/13 | 237.48.0.1 to 237.55.255.254 | 237.55.255.255 | 524,286 |
| 168 | 237.56.0.0/13 | 237.56.0.1 to 237.63.255.254 | 237.63.255.255 | 524,286 |
| 169 | 237.64.0.0/13 | 237.64.0.1 to 237.71.255.254 | 237.71.255.255 | 524,286 |
| 170 | 237.72.0.0/13 | 237.72.0.1 to 237.79.255.254 | 237.79.255.255 | 524,286 |
| 171 | 237.80.0.0/13 | 237.80.0.1 to 237.87.255.254 | 237.87.255.255 | 524,286 |
| 172 | 237.88.0.0/13 | 237.88.0.1 to 237.95.255.254 | 237.95.255.255 | 524,286 |
| 173 | 237.96.0.0/13 | 237.96.0.1 to 237.103.255.254 | 237.103.255.255 | 524,286 |
| 174 | 237.104.0.0/13 | 237.104.0.1 to 237.111.255.254 | 237.111.255.255 | 524,286 |
| 175 | 237.112.0.0/13 | 237.112.0.1 to 237.119.255.254 | 237.119.255.255 | 524,286 |
| 176 | 237.120.0.0/13 | 237.120.0.1 to 237.127.255.254 | 237.127.255.255 | 524,286 |
| 177 | 237.128.0.0/13 | 237.128.0.1 to 237.135.255.254 | 237.135.255.255 | 524,286 |
| 178 | 237.136.0.0/13 | 237.136.0.1 to 237.143.255.254 | 237.143.255.255 | 524,286 |
| 179 | 237.144.0.0/13 | 237.144.0.1 to 237.151.255.254 | 237.151.255.255 | 524,286 |
| 180 | 237.152.0.0/13 | 237.152.0.1 to 237.159.255.254 | 237.159.255.255 | 524,286 |
| 181 | 237.160.0.0/13 | 237.160.0.1 to 237.167.255.254 | 237.167.255.255 | 524,286 |
| 182 | 237.168.0.0/13 | 237.168.0.1 to 237.175.255.254 | 237.175.255.255 | 524,286 |
| 183 | 237.176.0.0/13 | 237.176.0.1 to 237.183.255.254 | 237.183.255.255 | 524,286 |
| 184 | 237.184.0.0/13 | 237.184.0.1 to 237.191.255.254 | 237.191.255.255 | 524,286 |
| 185 | 237.192.0.0/13 | 237.192.0.1 to 237.199.255.254 | 237.199.255.255 | 524,286 |
| 186 | 237.200.0.0/13 | 237.200.0.1 to 237.207.255.254 | 237.207.255.255 | 524,286 |
| 187 | 237.208.0.0/13 | 237.208.0.1 to 237.215.255.254 | 237.215.255.255 | 524,286 |
| 188 | 237.216.0.0/13 | 237.216.0.1 to 237.223.255.254 | 237.223.255.255 | 524,286 |
| 189 | 237.224.0.0/13 | 237.224.0.1 to 237.231.255.254 | 237.231.255.255 | 524,286 |
| 190 | 237.232.0.0/13 | 237.232.0.1 to 237.239.255.254 | 237.239.255.255 | 524,286 |
| 191 | 237.240.0.0/13 | 237.240.0.1 to 237.247.255.254 | 237.247.255.255 | 524,286 |
| 192 | 237.248.0.0/13 | 237.248.0.1 to 237.255.255.254 | 237.255.255.255 | 524,286 |
| 193 | 238.0.0.0/13 | 238.0.0.1 to 238.7.255.254 | 238.7.255.255 | 524,286 |
| 194 | 238.8.0.0/13 | 238.8.0.1 to 238.15.255.254 | 238.15.255.255 | 524,286 |
| 195 | 238.16.0.0/13 | 238.16.0.1 to 238.23.255.254 | 238.23.255.255 | 524,286 |
| 196 | 238.24.0.0/13 | 238.24.0.1 to 238.31.255.254 | 238.31.255.255 | 524,286 |
| 197 | 238.32.0.0/13 | 238.32.0.1 to 238.39.255.254 | 238.39.255.255 | 524,286 |
| 198 | 238.40.0.0/13 | 238.40.0.1 to 238.47.255.254 | 238.47.255.255 | 524,286 |
| 199 | 238.48.0.0/13 | 238.48.0.1 to 238.55.255.254 | 238.55.255.255 | 524,286 |
| 200 | 238.56.0.0/13 | 238.56.0.1 to 238.63.255.254 | 238.63.255.255 | 524,286 |
| 201 | 238.64.0.0/13 | 238.64.0.1 to 238.71.255.254 | 238.71.255.255 | 524,286 |
| 202 | 238.72.0.0/13 | 238.72.0.1 to 238.79.255.254 | 238.79.255.255 | 524,286 |
| 203 | 238.80.0.0/13 | 238.80.0.1 to 238.87.255.254 | 238.87.255.255 | 524,286 |
| 204 | 238.88.0.0/13 | 238.88.0.1 to 238.95.255.254 | 238.95.255.255 | 524,286 |
| 205 | 238.96.0.0/13 | 238.96.0.1 to 238.103.255.254 | 238.103.255.255 | 524,286 |
| 206 | 238.104.0.0/13 | 238.104.0.1 to 238.111.255.254 | 238.111.255.255 | 524,286 |
| 207 | 238.112.0.0/13 | 238.112.0.1 to 238.119.255.254 | 238.119.255.255 | 524,286 |
| 208 | 238.120.0.0/13 | 238.120.0.1 to 238.127.255.254 | 238.127.255.255 | 524,286 |
| 209 | 238.128.0.0/13 | 238.128.0.1 to 238.135.255.254 | 238.135.255.255 | 524,286 |
| 210 | 238.136.0.0/13 | 238.136.0.1 to 238.143.255.254 | 238.143.255.255 | 524,286 |
| 211 | 238.144.0.0/13 | 238.144.0.1 to 238.151.255.254 | 238.151.255.255 | 524,286 |
| 212 | 238.152.0.0/13 | 238.152.0.1 to 238.159.255.254 | 238.159.255.255 | 524,286 |
| 213 | 238.160.0.0/13 | 238.160.0.1 to 238.167.255.254 | 238.167.255.255 | 524,286 |
| 214 | 238.168.0.0/13 | 238.168.0.1 to 238.175.255.254 | 238.175.255.255 | 524,286 |
| 215 | 238.176.0.0/13 | 238.176.0.1 to 238.183.255.254 | 238.183.255.255 | 524,286 |
| 216 | 238.184.0.0/13 | 238.184.0.1 to 238.191.255.254 | 238.191.255.255 | 524,286 |
| 217 | 238.192.0.0/13 | 238.192.0.1 to 238.199.255.254 | 238.199.255.255 | 524,286 |
| 218 | 238.200.0.0/13 | 238.200.0.1 to 238.207.255.254 | 238.207.255.255 | 524,286 |
| 219 | 238.208.0.0/13 | 238.208.0.1 to 238.215.255.254 | 238.215.255.255 | 524,286 |
| 220 | 238.216.0.0/13 | 238.216.0.1 to 238.223.255.254 | 238.223.255.255 | 524,286 |
| 221 | 238.224.0.0/13 | 238.224.0.1 to 238.231.255.254 | 238.231.255.255 | 524,286 |
| 222 | 238.232.0.0/13 | 238.232.0.1 to 238.239.255.254 | 238.239.255.255 | 524,286 |
| 223 | 238.240.0.0/13 | 238.240.0.1 to 238.247.255.254 | 238.247.255.255 | 524,286 |
| 224 | 238.248.0.0/13 | 238.248.0.1 to 238.255.255.254 | 238.255.255.255 | 524,286 |
| 225 | 239.0.0.0/13 | 239.0.0.1 to 239.7.255.254 | 239.7.255.255 | 524,286 |
| 226 | 239.8.0.0/13 | 239.8.0.1 to 239.15.255.254 | 239.15.255.255 | 524,286 |
| 227 | 239.16.0.0/13 | 239.16.0.1 to 239.23.255.254 | 239.23.255.255 | 524,286 |
| 228 | 239.24.0.0/13 | 239.24.0.1 to 239.31.255.254 | 239.31.255.255 | 524,286 |
| 229 | 239.32.0.0/13 | 239.32.0.1 to 239.39.255.254 | 239.39.255.255 | 524,286 |
| 230 | 239.40.0.0/13 | 239.40.0.1 to 239.47.255.254 | 239.47.255.255 | 524,286 |
| 231 | 239.48.0.0/13 | 239.48.0.1 to 239.55.255.254 | 239.55.255.255 | 524,286 |
| 232 | 239.56.0.0/13 | 239.56.0.1 to 239.63.255.254 | 239.63.255.255 | 524,286 |
| 233 | 239.64.0.0/13 | 239.64.0.1 to 239.71.255.254 | 239.71.255.255 | 524,286 |
| 234 | 239.72.0.0/13 | 239.72.0.1 to 239.79.255.254 | 239.79.255.255 | 524,286 |
| 235 | 239.80.0.0/13 | 239.80.0.1 to 239.87.255.254 | 239.87.255.255 | 524,286 |
| 236 | 239.88.0.0/13 | 239.88.0.1 to 239.95.255.254 | 239.95.255.255 | 524,286 |
| 237 | 239.96.0.0/13 | 239.96.0.1 to 239.103.255.254 | 239.103.255.255 | 524,286 |
| 238 | 239.104.0.0/13 | 239.104.0.1 to 239.111.255.254 | 239.111.255.255 | 524,286 |
| 239 | 239.112.0.0/13 | 239.112.0.1 to 239.119.255.254 | 239.119.255.255 | 524,286 |
| 240 | 239.120.0.0/13 | 239.120.0.1 to 239.127.255.254 | 239.127.255.255 | 524,286 |
| 241 | 239.128.0.0/13 | 239.128.0.1 to 239.135.255.254 | 239.135.255.255 | 524,286 |
| 242 | 239.136.0.0/13 | 239.136.0.1 to 239.143.255.254 | 239.143.255.255 | 524,286 |
| 243 | 239.144.0.0/13 | 239.144.0.1 to 239.151.255.254 | 239.151.255.255 | 524,286 |
| 244 | 239.152.0.0/13 | 239.152.0.1 to 239.159.255.254 | 239.159.255.255 | 524,286 |
| 245 | 239.160.0.0/13 | 239.160.0.1 to 239.167.255.254 | 239.167.255.255 | 524,286 |
| 246 | 239.168.0.0/13 | 239.168.0.1 to 239.175.255.254 | 239.175.255.255 | 524,286 |
| 247 | 239.176.0.0/13 | 239.176.0.1 to 239.183.255.254 | 239.183.255.255 | 524,286 |
| 248 | 239.184.0.0/13 | 239.184.0.1 to 239.191.255.254 | 239.191.255.255 | 524,286 |
| 249 | 239.192.0.0/13 | 239.192.0.1 to 239.199.255.254 | 239.199.255.255 | 524,286 |
| 250 | 239.200.0.0/13 | 239.200.0.1 to 239.207.255.254 | 239.207.255.255 | 524,286 |
| 251 | 239.208.0.0/13 | 239.208.0.1 to 239.215.255.254 | 239.215.255.255 | 524,286 |
| 252 | 239.216.0.0/13 | 239.216.0.1 to 239.223.255.254 | 239.223.255.255 | 524,286 |
| 253 | 239.224.0.0/13 | 239.224.0.1 to 239.231.255.254 | 239.231.255.255 | 524,286 |
| 254 | 239.232.0.0/13 | 239.232.0.1 to 239.239.255.254 | 239.239.255.255 | 524,286 |
| 255 | 239.240.0.0/13 | 239.240.0.1 to 239.247.255.254 | 239.247.255.255 | 524,286 |
| 256 | 239.248.0.0/13 | 239.248.0.1 to 239.255.255.254 | 239.255.255.255 | 524,286 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |